#ifndef ENGINE_H
#define ENGINE_H

#include <memory>
#include <vector>
#include <SDL.h>

#include "sdl_helper.h"
#include "point.h"
#include "rectangle.h"

#include "image.h"

class TicTacToe {
public:
    TicTacToe(int width, int height, std::string title);

    bool processEvents();

    void update();

    void render();

    Point getWindowSize();

protected:
    std::unique_ptr<SDL_Window, SdlDeleter> window;
    std::unique_ptr<SDL_Renderer, SdlDeleter> renderer;

private:
    int width = 0;
    int height = 0;

    std::unique_ptr<Rectangle> rect;
};

#endif